//
//  MainMenu.h
//  GlobalGameJam15
//
//  Created by Cesar Parent on 25/01/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef __GlobalGameJam15__MainMenu__
#define __GlobalGameJam15__MainMenu__

#include <PixelKit/PixelKit.h>

using namespace PixelKit;

class MainMenu : public Scene, public ControlDelegate
{
public:
	
	MainMenu(Game& game);
	virtual ~MainMenu();
	
	virtual void exit();
	
#pragma mark delegates
	
	virtual void didEnterStack();
	virtual void didLeaveStack();
	
	virtual void controllerDidConnect(int controllerID){};
	virtual void controllerDidDisconnect(int controllerID){};
	virtual void controllerButtonPressBegan(int controller, SDL_GameControllerButton button);
	virtual void controllerButtonPressEnded(int controller, SDL_GameControllerButton button){};
	virtual void controllerAxisMoved(int controller, SDL_GameControllerAxis, Sint16 value){};
	virtual void keyboardPressBegan(SDL_Scancode key);
	virtual void keyboardPressEnded(SDL_Scancode key){};
	
private:
	
	SpriteNode* _background;
	LabelNode* _title;
	LabelNode* _items[3];
	int _currentItem;
	
};

#endif /* defined(__GlobalGameJam15__MainMenu__) */
